import subprocess
from bidi.algorithm import get_display

def download_video():
    while True:
        # קבלת קישורים מהמשתמש
        urls_input = input(get_display(":אנא הכנס את הקישורים לסרטונים מופרדים בפסיק (או הקש Enter כדי לצאת) ")).strip()
        
        # יציאה אם לא הוזנו קישורים
        if not urls_input:
            print(get_display("יצאת מהתוכנית."))
            break
        
        urls = [url.strip() for url in urls_input.split(",")]
        
        # בחירת פורמט
        print(get_display("בחר פורמט להורדה:"))
        print(get_display("1. MP4 (וידאו)"))
        print(get_display("2. MP3 (אודיו)"))
        choice = input(get_display("הכנס את מספר הבחירה (1 או 2): ")).strip()
        
        if choice == "1":
            # מסלול הורדה של MP4
            format_option = ["yt-dlp", "--no-check-certificate", "-f", "bestvideo[ext=mp4]+bestaudio[ext=m4a]/mp4"]
        elif choice == "2":
            # מסלול הורדה של MP3
            format_option = ["yt-dlp", "--no-check-certificate", "-x", "--audio-format", "mp3"]
        else:
            print(get_display("בחירה לא חוקית. נסה שוב."))
            continue
        
        for url in urls:
            # הרצת הפקודה להורדת כל קישור
            command = format_option + [url]
            try:
                subprocess.run(command, check=True)
                print(get_display(f"ההורדה של {url} הושלמה בהצלחה!"))
            except subprocess.CalledProcessError as e:
                print(get_display(f"אירעה שגיאה במהלך ההורדה של {url}."))
                print(get_display(f"פירוט השגיאה: {e}"))
            except FileNotFoundError:
                print(get_display("yt-dlp לא נמצא במערכת. ודא שהתקנת אותו ושהוא נגיש מ-PATH."))

# קריאה לפונקציה
if __name__ == "__main__":
    download_video()
    input(get_display("\nהקש Enter כדי לסגור..."))
